# Function setDefaultAccount

- setDefaultAccount(payload?): {
  payload: {
  account?: Account;
  name: string;
  };
  type: "pocket/setDefaultAccount";
  }

- Calling this redux#ActionCreator with an argument will return a PayloadAction of type `T` with a payload of `P`. Calling it without an argument will return a PayloadAction with a payload of `undefined`.

  #### Parameters

  - `Optional` payload: {
    account?: Account;
    name: string;
    }

    - ##### `Optional` account?: Account

    - ##### name: string

  #### Returns {
  payload: {
  account?: Account;
  name: string;
  };
  type: "pocket/setDefaultAccount";
  }

  - ##### payload: {
    account?: Account;
    name: string;
    }

    - ##### `Optional` account?: Account

    - ##### name: string

  - ##### type: "pocket/setDefaultAccount"

  - Defined in work/deeplinks/deeplinks/imports/cyber/redux/features/pocket.ts:128

#####
Index

### Properties

match
type

##
Properties

### match

match: ((action: Action<unknown>) => action is {
payload: {
account?: Account;
name: string;
};
type: "pocket/setDefaultAccount";
})

- Defined in work/deeplinks/deeplinks/node_modules/@reduxjs/toolkit/dist/createAction.d.ts:59

### type

type: "pocket/setDefaultAccount"

- Defined in work/deeplinks/deeplinks/node_modules/@reduxjs/toolkit/dist/createAction.d.ts:58